# Rockset DB

A ruby wrapper around RocksetDB's java client.

### Pre-requisites:

- Install openssl, openjdk (1.8) and then install jruby 9.2.19.0
- Download the 0.9.0 rockset-db jar file
- Set `CLASSPATH` to your jar file.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'rocksetdb'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install rocksetdb

## Usage

```ruby
rockset = Rockset::DB.new(<your password>, <your api server>)

str = 'select * from commons.user limit 1'
results = rockset.query(str)
# you can also use sequel or some gem to construct this sql string and pass.

rockset.create_collection "mycollection", "workspace"

values = [{name: '', description: ''}]
rockset.create_document "mycollection", values

```

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
